Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gdk-pixbuf
Version:	2.22.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.gnome.org/ 
Group:		Graphical Desktop/GNOME
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	The GdkPixBuf image handling library.

BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libpng-devel
BuildRequires:  zlib-devel
BuildRequires: 	gobject-introspection-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gtk+-devel
BuildRequires: libglib-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel

%description
The GdkPixBuf library provides a number of features, including :
- GdkPixbuf structure for representing images.
- Image loading facilities.
- Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.
- Fast scaling and compositing of pixbufs.
- Simple animation loading (ie. animated gifs)
In addition, this module also provides a little libgnomecanvaspixbuf
library, which contains a GNOME Canvas item to display pixbufs with
full affine transformations.
For more details see: http://www.gnome.org/ 

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
./configure --prefix=%_prefix \
--localstatedir=%_localstatedir \
--sysconfdir=%_sysconfdir \
--disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/gdk-pixbuf-csource
%{_bindir}/gdk-pixbuf-query-loaders
%{_libdir}/gdk-pixbuf-2.0
%{_libdir}/libgdk_pixbuf-2.0.so.*
%{_libdir}/libgdk_pixbuf_xlib-2.0.so.*
%{_locale}/*/LC_MESSAGES/gdk-pixbuf.mo
%{_mandir}/man1/gdk-pixbuf-csource.1.gz
%{_mandir}/man1/gdk-pixbuf-query-loaders.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/gdk-pixbuf-2.0/gdk-pixbuf
%{_includedir}/gdk-pixbuf-2.0/gdk-pixbuf-xlib
%{_libdir}/girepository-1.0/GdkPixbuf-2.0.typelib
%{_libdir}/libgdk_pixbuf-2.0.la
%{_libdir}/libgdk_pixbuf-2.0.so
%{_libdir}/libgdk_pixbuf_xlib-2.0.la
%{_libdir}/libgdk_pixbuf_xlib-2.0.so
%{_pkgconfig}/gdk-pixbuf-2.0.pc
%{_pkgconfig}/gdk-pixbuf-xlib-2.0.pc
%{_datadir}/gir-1.0/GdkPixbuf-2.0.gir
%{_datadir}/gtk-doc/html/gdk-pixbuf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.22.0-1
- version update
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.21.6-2
- added update of pixbuf loader cache to post scriplet
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.21.6-1
- version update
* Wed Aug 12 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.22.0-5
- rebuilt against libjpeg 7
* Sat Oct 08 2005 Christian Wasem <wasem@ccux-linux.de> 0.22.0-4
- added aclocal patch, removed wrong Obsolete Tag,
- moved some files to devel package
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.22.0-3
- Changed Optimization
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.22.0-2
- Rebuild, removed some Patches
* Tue Apr 21 2005 Christian Wasem <wasem@ccux-linux.de> 0.22.0-1
- Initial Release
